mtext_get_property(3m17n)

NAME
mtext_get_property - Get the topmost text property.

SYNOPSIS
MTextProperty* mtext_get_property (MText * mt, int pos, MSymbol key)

DESCRIPTION
Get the topmost text property.

The mtext_get_property() function searches the character at position pos in M-text mt for a text property whose key is key.

RETURN VALUE

    If a text property is found, mtext_get_property() returns it. If there are multiple text properties, it returns the topmost one. If no such property is found, it returns NULL without changing the external variable merror_code.

If an error is detected, mtext_get_property() returns NULL and assigns an error code to the external variable merror_code.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.